# $Id: Makefile.in,v 1.2 2000/10/13 10:21:13 m-hirano Exp $
# $RWC_Release: Omni-1.6 $
# $RWC_Copyright:
#  Omni Compiler Software Version 1.5-1.6
#  Copyright (C) 2002 PC Cluster Consortium
#  
#  This software is free software; you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License version
#  2.1 published by the Free Software Foundation.
#  
#  Omni Compiler Software Version 1.0-1.4
#  Copyright (C) 1999, 2000, 2001.
#   Tsukuba Research Center, Real World Computing Partnership, Japan.
#  
#  Please check the Copyright and License information in the files named
#  COPYRIGHT and LICENSE under the top  directory of the Omni Compiler
#  Software release kit.
#  
#  
#  $

prefix		=	@prefix@

DIRS		=	C-test cg laplace laplace-f77 tiny scash-test

TOPDIR		=	..
INSTALLDIR	=	$(prefix)/lib/openmp/examples
INSTALL		=	@INSTALLCOM@
MKDIR		=	@MKDIRCOM@

all:
	@true

install:
	@if [ ! -d $(INSTALLDIR) ] ; then \
		(echo "Making directory $(INSTALLDIR)" ; \
		$(MKDIR) $(INSTALLDIR) ; \
		chmod 775 $(INSTALLDIR)); \
	else \
		true ; \
	fi
	tar cf - $(DIRS) | (cd $(INSTALLDIR); tar xpf -)
	(cd $(INSTALLDIR); find -name CVS -a -type d -print | xargs rm -rf >/dev/null 2>&1; exit 0)

clean:
	@true

distclean:
	@true

depend:
	@true
